Subject: Re: bug#33254: 26.1.50; Fixed-size windows break 'balance-windows'

From: martin rudalics <[email-masked]>
Date: Mon, 05 Nov 2018 10:33:30 +0100

> OK, let's have it one emacs-26.

Thinking about it twice ...

This bug was hiding another one which is already mentioned in a
comment as

     ;; How can we be sure that `number-of-children' is NOT zero here ?

and in fact making all windows fixed-size would make 'balance-windows'
fail with an arithmetic error.  So the fix is slightly more involved
and I'd rather save that one for master.

Thanks, martin